Subject: [alto] Review of draft-ietf-alto-deployments-08#appendix-A

From: Qin Wu <[email-masked]>
Date: Tue, 24 Dec 2013 09:05:39 +0000

Hi,
I have reviewed appendix A of draft-ietf-alto-deployments-08.
It appear to me this appendix A is outdated and need to be update or separated as another draft.
A few comments below:
1. Appendix A paragraph 1 said:
"
In addition to providing configuration, an ISP providing ALTO may
want to deploy a monitoring infrastructure to assess the benefits of
ALTO and adjust its ALTO configuration according to the results of
the monitoring.

"
It looks something is disconnected when we say "in addition to providing configuration", where
Configuration providing is discussed in this draft?

Also I think monitoring infrastructure is not limited to assess the benefits of ALTO, I think the more important
thing is performance metrics can be injected into ALTO server to provide fine granularity of cost map and network map,
alto server can leverage these information to decide which is the best endpoint to connect.

2. Appendix ,paragraph 3 said:
"
   [Editor's note: Is there a relationship to the IPPM working group at
   the IETF?]

"
Sure, for most QoS metrics like loss, delay, delay variation, etc.,
standard IPPM definitions exist.  In case such metrics are reported,
the IPPM standard definition should be used.

3. Appendix A.1

Monitoring Metrics is not limited to the list given in the Appendix A.1,
Also it doesn't make sense to enumerate all the performance metrics.

4. Appendix A.2
If you support routing protocol, you can gather peformance metrics from routing protocol,
In this case, you don't need to deploy any data source to collect data.

On the other hand, there are many ways in which the performance of an data folw can be
monitored.  These include generic MIBs, NetFlow, IP Flow Information Export
(IPFIX),syslog, and so on.

Regards!
-Qin